Subject: REVIEW: Derringer accelerator board for A500/A2000
From: [email-masked] (Chris Pappe)
Date: 10 Dec 1992 17:08:25 GMT
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAME
 
	Derringer accelerator board

BRIEF DESCRIPTION
 
	Accelerator board for Amiga 500 & 2000.  Uses a 68030 CPU running at
25MHz with optional FPU at 25MHZ or 50MHz.  Allows expansion to 32Mb of 32bit
RAM using a 72 pin SIMM.

COMPANY INFORMATION
 
	Name:		Computer Systems Associates (CSA)
	Address:	7564 Trade St.
			San Diego, CA 92121
			USA
	Telephone:	(619) 566-3911
	Tech Hotline:	(619) 566-3923

LIST PRICE (all prices in US dollars)
 
	Derringer  68030 @ 25MHz   No FPU or RAM:		$249.95 *
	Derringer  68030/882 @ 25MHz + 4Mb 3bit RAM:		$589.00
	Derringer  68030/882 @ 25/50MHz + 4Mb 32bit RAM:	$664.00
 
	* Note:  CSA does not sell the Derringer board without RAM.

HARDWARE REQUIREMENTS
 
	A500 or A2000 computer.  (Can be made to work in A1000)

SOFTWARE REQUIREMENTS
 
	None.

HARDWARE/SOFTWARE COMPATIBILITY
 
	The Derringer was designed to run in A500 & A2000 computers using
Commodore hardware and software.  Most third party hardware and software
that conforms to Commodore's guidelines should be compatible.  CSA has a
Technical Hotline (above) where you can ask questions regarding the
compatibility of specific third party hardware and software.

	Since the Derringer plugs in to the 64 pin DIP socket where the
68000 would normally reside, it would seem that other devices that plug into
the 68000 socket (ATOnce etc) would be incompatible, if only from a physical
standpoint.

	Kickstart versions 1.2, 1.3 and 2.0 will all work with the Derringer.

COPY PROTECTION
 
	None.

REVIEW SYSTEM
 
	The Derringer is installed in an A500 configured as follows:
 
	o	Rev5 motherboard w/SupraRAM500 & 1Mb Agnes
	o	GrandSlam500 w/Quantum105 & 8Mb Fast RAM
	o	Derringer 030/882 @ 25/25MHz & 8Mb 32bit Fast RAM
	o	Kickstart 1.3, Workbench 1.3
 
REVIEW
 
	I received my Derringer the first week of November 1992.  I had
heard about it while I was looking for an accelerator, so I called CSA.
They directed me to their sole distributor, where a dozen or so advance
issues of the board had been sent.  I was in luck and obtained an early
Derringer.  It came in a static-proof plastic bag with 6 pages of
installation and operating instructions.

	The board itself looks very well made, utilizing 6 layers and
surface mount technology.  It measures 6" deep by 6 1/2" wide.  With a SIMM
installed, its width increases by 1/2" to 7" wide.  The processor and math
chips are socketed, and the only crystal on the board is clocked at 50MHz.
There is, however, a place for a second crystal to be installed.  CSA says
it is for future expansion.  It could be used to drive the FPU at a
different speed than the processor.

	There are five jumpers in various locations on the board, and they
serve the following functions:

	JP1	Select 50MHz or 25MHz Math Co-Processor.
	JP2	Select 68030 or 68000 for next boot.
		 (External switch can be installed here.)
	JP3	E-Clock source.	(68000 installed or not)
	JP4	Hardware Cache Disable (Development Use)
	JP5	Hardware MMU Disable (Development Use)
 
	One of the best features of the Derringer is the 72 pin SIMM
socket on the right edge of the board, toward the back.  This socket
will accept the industry standard PS2 style 72 pin SIMM, available in
1, 2, 4, 8, 16 and 32 megabyte sizes.  Current mail order prices are
US$14 for 4Mb, US$310 for 8Mb and US$620 for 16Mb.  Prices for the
32Mb SIMM were not available yet.

	Installing the Derringer was a breeze!  Simply remove the 68000 and
re-install it on the Derringer in the empty socket provided.  Then plug the
Derringer into the 68000 socket on the motherboard.  The DIP header for
plugging in to the 68000 socket is located on the left edge of the board
towards the front.

	[MODERATOR'S NOTE:  Although Chris says that installing the board is
	easy ("a breeze"), it does involve opening up your Amiga and
	removing the processor.  If you are not comfortable doing this kind
	of installation yourself, you should have it done by a trained
	technician. - Dan]

	The diskette that accompanies the Derringer contains software to
configure the 32 bit RAM expansion and move system routines into faster 32
bit RAM.  Simply add some commands to your startup-sequence [or your
user-startup under 2.0], and the software will allow you to copy the
Kickstart ROM to 32 bit RAM, and move exception vectors and supervisor stacks
from chip RAM to 32 bit RAM.  Also, a memory resident option allows you to
re-boot your machine and have all system code, drivers, libraries, etc.,
reside in 32 bit RAM.  This makes for a significant increase in the speed of
the operating system.  Since the Kickstart ROM image in 32bit RAM is accessed
using special hardware, the MMU is available for use with other software
that utilizes an MMU, such as Gigamem.

	Another program on the disk allows you to control the data and
instruction caches on the 68030.  Caches may be turned on or off and burst
mode enabled or disabled.  The cache utility is not needed under WB2.0 since
the c:CPU command is available.

	BOOT68000 is the name of the other utility program.  Although you
can install a switch on the jumpers JP2 and select 68000 or 68030 that way,
a more convenient way for most will be to boot into 68030 all the time, and
then when you need 68000 compatibility just run BOOT68000.  Executable from
the CLI or Workbench, this program causes the machine to reset and boot up
using the 68000 installed on the Derringer.

	The next step, turning the computer back on, had me wondering which
of the numerous libraries, drivers and resident programs that I use was
going to cause a crash.  To my surprise, it booted up normally and presented
me with my usual Workbench screen.  I ran every program on my hard drive
without a hitch but I didn't see that much of a speed increase.  A quick
check with SysInfo showed me running at 1.67 times the speed of a standard
machine.  This is the kind of performance you can expect when you don't have
any 32bit RAM.  Adding CSA's software to my startup-sequence and re-booting
showed the kind of speed I was expecting, Sysinfo now showed 7.25 times the
speed of a stock A500.

	I was expecting to have to completely redo my startup-sequence, but
the only change I had to make was the addition of the two CSA utility
programs.  All programs that I use run perfectly with the Derringer, only
much faster.  Those programs that offer FPU versions gain the most
noticeable speed improvement.  Some games ill also run in 68030 mode,
although most of them require the 68000 mode.

	Since installing it, my Derringer has been running almost 24 hours a
day, rendering stuff that would have taken weeks to do on my stock A500.
The A500 case above the board is only very slightly warm, so heat generation
is not a big problem.

	For the bottom line on speed increase, I rely on AIBB v5.0 to test
all aspects of processor speed thoroughly.  If you are not familiar with
AIBB, it is a good benchmark program that tests many aspects of Integer,
Graphics and Floating Point operations.  It then averages all the tests in
each category and provides results that compare the system being tested with
known standard systems.  Higher numbered results = better performance, with
"1.0" indicating equal performance levels.
 
AIBB (Version 5.0) Test Results For CSA Derringer 030
=====================================================
 
Compared System          INTEGER   GRAPHICS   FPU     AVERAGE
===================      =======   ========  =====    =======
A500  (No Fast RAM)      6.47      4.07      13.76    810 %
A2000 (w/Fast RAM)       6.31      2.89       9.20    613 %
A3000 (25 MHz)           0.99      0.53       0.96     82.7 %
A4000 (25 MHz)           0.49      0.25       0.33     35.7 %

	Here are the results from SysInfo, a popular system analysis and
benchmarking program:
 
SysInfo V3.01 by Nic Wilson
---------------------------
 
CopyBack Mode.................................. N/A
Instruction Cache.............................. ON 
Instruction Burst.............................. ON 
Data Cache..................................... ON 
Data Burst..................................... ON 
Central Processing Unit Type................... 68030(OFF)
Memory Management Unit Type.................... 68030(OFF(OFF)
Floating PointUnit Type........................ 68882
Vector Base Register (VBR) Address............. $08CD44A8
Ramsey Chip Revision (A3000)................... N/A
Gary Chip Revision (A3000)..................... N/A
DMAC Chip Type (A3000)......................... N/A
Agnus Type..................................... ECS 1 MEG
Display Mode................................... NTSC 
Denise Type.................................... STD 8362
VBlank Frequency in Hz......................... 60
Power Supply Frequency in Hz................... 60
Horizontal Frequency in KHz.................... 15.72
Card Slot Installed............................ NO 
Total Memory available......................... 17817320
Free Chip Memory...............................   833776
Free 16 Bit Fast Memory........................  8388544
Free 32 Bit Fast Memory........................  7139320
Total Free Memory available.................... 16361640
Hardware Clock installed....................... FOUND
EClockFrequency in Hz.......................... 715909
Fast Ram Speed increase vs Chip Ram............ +57%
 
SPEED COMPARISONS AGAINST KNOWN MODELS & PERIPHERALS
A500 512k or A600 with 1MB CHIP ONLY...........   7.25
B2000, A2000, A1000 or A500 with fast ram......   6.09
B2000  GVP A3001 28MHZ ALL CACHES & BURSTS.....   0.71
A2500  A2620 68020 14MHZ card..................   2.07
A3000/25 SCRAM ICACHE IBURST DCACHE NODBURST...   0.92
A3000  PP&S Mercury ICACHE DCACHE COPYBACK.....   0.21
CPU Million Instructions per Second............   4.44
FPU Million Floating Operations per Second......  0.71
Speed of Chip Memory vs A3000 Chip Memory......   0.56
Dhrystones per second.......................... 4260
CPU speed in MHZ...............................  25.00

LIKES AND DISLIKES
 
	I like the Derringer board.  It is well made, installs easily
and performs flawlessly.  I have no complaints.

COMPARISON TO OTHER SIMILAR PRODUCTS
 
	None.

BUGS
 
	None

SUPPORT
 
	None needed yet; however, when I called the Tech Hotline, helpful
people were there to answer the phone.

WARRANTY
 
	The Derringer is covered for one year against defects in materials
or workmanship.  It covers the original purchaser only.

CONCLUSIONS
 
	According to AIBB's results, my A500 now runs at approximately 82%
the speed of an A3000-25.  I would say that this is a very fair estimate of
the Derringer's effect on an A500 or A2000.  I would recommend this board to
anyone who needs an inexpensive accelerator that gives close to A3000
performance.  

	If you have a stock Amiga, then: DON'T HESITATE, ACCELERATE!

COPYRIGHT NOTICE
 
	Copyright 1992 Chris Pappe.  All rights reserved.
 	UUCP Address:  [email-masked]

---

   Daniel Barrett, Moderator, comp.sys.amiga.reviews
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   General discussion:	[email-masked]